function priklad()

% diskretizace oblasti
[P,E,GammaD,GammaN] = diskretizace(1,1,0.1);

% diskretizace dat
n = size(P,2);
m = size(E,2);
nD = length(GammaD);
mN = size(GammaN,2);
EYoung = 100;
nu = 0.25;
f = zeros(2,m);
uD = zeros(2,nD);
for i=1:nD
    Pi = P(:,GammaD(i));
    if Pi(1)==0
        uD(:,i) = [0.1*sin(pi*Pi(2));0];
    elseif Pi(1)==1
        uD(:,i) = [-0.1*sin(pi*Pi(2));0];
    elseif Pi(2)==0
        uD(:,i) = [0;-0.1*sin(pi*Pi(1))];
    end
end
gN = zeros(2,mN);
for i=1:mN
    Si = GammaN(:,i);
    Pi = sum(P(:,Si),2)/2;
    gN(:,i) = 100*[cos(2*pi*Pi(1));sin(2*pi*Pi(1))]*Pi(1)*(Pi(1)-1);
end

% sestaveni MKP
[A,b] = MKP(P,E,GammaD,GammaN,EYoung,nu,f,uD,gN);

% reseni
u = A\b;

% vykresleni
trimesh(E',P(1,:)+u(1:n)',P(2,:)+u(n+1:2*n)')
xlabel('x')
ylabel('y')
zlabel('u')